diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/wireless/airo_cs.c linux-2.5/drivers/net/wireless/airo_cs.c
--- bk-linus/drivers/net/wireless/airo_cs.c	2002-11-21 02:17:19.000000000 +0000
+++ linux-2.5/drivers/net/wireless/airo_cs.c	2002-11-21 18:00:05.000000000 +0000
@@ -244,6 +244,11 @@ static dev_link_t *airo_attach(void)
 	
 	/* Allocate space for private device-specific data */
 	local = kmalloc(sizeof(local_info_t), GFP_KERNEL);
+	if (!local) {
+		printk(KERN_ERR "airo_cs: no memory for new device\n");
+		kfree (link);
+		return NULL;
+	}
 	memset(local, 0, sizeof(local_info_t));
 	link->priv = local;
 	
